GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/windows-tdep.h File Reference

Go to the source code of this file.

## Functions
void | init_w32_command_list (void)
void | windows_xfer_shared_library (const char *so_name, CORE_ADDR load_addr, struct gdbarch *gdbarch, struct obstack *obstack)
void | windows_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)

## Variables
struct cmd_list_element * | info_w32_cmdlist

## Function Documentation

## ◆ init_w32_command_list()

void init_w32_command_list | ( | void |  | ) |

Definition at line 454 of file windows-tdep.c.

References _, add_prefix_cmd(), class_info, info_w32_cmdlist, info_w32_command(), infolist, and w32_prefix_command_valid.

Referenced by _initialize_windows_nat(), and _initialize_windows_tdep().

## ◆ windows_init_abi()

void windows_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 469 of file windows-tdep.c.

References set_gdbarch_has_dos_based_file_system(), set_gdbarch_iterate_over_objfiles_in_search_order(), set_gdbarch_wchar_bit(), set_gdbarch_wchar_signed(), set_solib_ops(), solib_target_so_ops, and windows_iterate_over_objfiles_in_search_order().

Referenced by amd64_windows_init_abi(), arm_wince_init_abi(), and i386_cygwin_init_abi().

## ◆ windows_xfer_shared_library()

void windows_xfer_shared_library | ( | const char * | so_name,
|  | CORE_ADDR | load_addr,
|  | struct gdbarch * | gdbarch,
|  | struct obstack * | obstack
| ) |  |

Definition at line 375 of file windows-tdep.c.

References gdb_bfd_open(), gdb::ref_ptr< T, Policy >::get(), gnutarget, obstack_grow_str, paddress(), pe_text_section_offset(), string, and xml_escape_text().

Referenced by core_process_module_section(), and windows_xfer_shared_libraries().

## Variable Documentation

## ◆ info_w32_cmdlist

struct cmd_list_element* info_w32_cmdlist

Definition at line 38 of file windows-tdep.c.

Referenced by _initialize_windows_nat(), _initialize_windows_tdep(), info_w32_command(), and init_w32_command_list().